Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/folders/remove

Remove locations from a folder

This API removes specified locations from their current folder.

Behavior:

  • A location can belong to only one folder at a time.
  • Only the locationIds need to be provided, as the system automatically identifies their current folder.
  • If a location is removed, it will no longer be associated with any folder unless reassigned.
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectoptional
input.locationIdsarray of stringrequiredArray of location IDs to remove from their folders

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/folders/remove' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationIds": [
      "TG9jYXRpb246MTY4NDY="
    ]
  }
}'

Responses

StatusDescription
200Successful response
Example response
{
  "data": {
    "deleteLocationsFromFolder": {
      "clientMutationId": null,
      "errors": null,
      "locations": [
        "bG9jYXRpb25zOjE2OTQx"
      ],
      "success": true
    }
  },
  "errors": []
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.deleteLocationsFromFolderobjectoptional
data.deleteLocationsFromFolder.clientMutationIdobjectoptional
data.deleteLocationsFromFolder.errorsobjectoptional
data.deleteLocationsFromFolder.locationsarray of stringoptional
data.deleteLocationsFromFolder.successbooleanoptional